# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Module/Pluggable.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_version 0.02
%define module_name OpenServices-SNMP
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt1
Summary: Loader for OpenServices SNMP agent extensions
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/F/FL/FLADI/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
This module uses Module::Pluggable to load all installed modules from the OpenServices::SNMP::Plugin namespace. It
can then be used to initialize them with the current snmpd agent.

To have all OpenServices SNMP Extensions loaded add the follwoing line to your snmpd.conf file.

    perl require OpenServices::SNMP; OpenServices::SNMP->init($agent);
%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/O*

%changelog
* Wed Nov 12 2014 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- initial import by package builder

